using System;
using System.Collections.Generic;
using System.Text;

namespace IrrlichtNetSwig
{
    public partial class IAttributes
    {
        void addEnum(string attributeName, int enumValue, string[] enumerationLiterals)
        {
            var arr = (ConstStringArray)enumerationLiterals;
            _addEnum(attributeName, enumValue, arr);
        }
        public void setAttribute(string attributeName, string enumValue, string[] enumerationLiterals)
        {
            var arr = (ConstStringArray)enumerationLiterals;
            _setAttribute(attributeName, enumValue, arr);
        }

        public void setAttribute(int index, string enumValue, string[] enumerationLiterals)
        {
            var arr = (ConstStringArray)enumerationLiterals;
            _setAttribute(index, enumValue, arr);
        }
        public int getAttributeAsEnumeration(string attributeName, string[] enumerationLiteralsToUse)
        {
            var arr = (ConstStringArray)enumerationLiteralsToUse;
            return _getAttributeAsEnumeration(attributeName, arr);
        }

        public int getAttributeAsEnumeration(int index, string[] enumerationLiteralsToUse)
        {
            var arr = (ConstStringArray)enumerationLiteralsToUse;
            return _getAttributeAsEnumeration(index, arr);
        }
    }
}
